#include <iostream>
#include <raylib.h>
#include "Morault_Resources.h"
#include "Morault_Player.h"
#include "Morault_UDMF.h"
#include <raymath.h>
#include <rlgl.h>

#define MORAULT_MAP_RENDER_SCALE 0.1f
int main(int argc, char** argv) {
	InitWindow(1280, 720, "ProjectMorault");
	SetTargetFPS(60);
	SetExitKey(0);
	
	
	DisableCursor();

	Morault::Gameplay::Player player;
	player.data.playerName = "TestPlayer0001";
	player.data.hp = 100;
	player.data.xp = 0;
	bool gamePaused = false;

	while (!WindowShouldClose()) {
		player.controller.UpdatePlayerController(!gamePaused);
		
		BeginDrawing();
		ClearBackground(BLACK);
		BeginMode3D(player.controller.camera);
		DrawGrid(100, 10);
		EndMode3D();
		
		DrawFPS(0, 0);
		EndDrawing();

	}


	CloseWindow();
}